ArtifactHandlerAdapter (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.griffon.runtime.core
[Java] Class ArtifactHandlerAdapter

    java.lang.Object
      org.codehaus.griffon.runtime.core.ArtifactHandlerAdapter

All Implemented Interfaces:
  ArtifactHandler

    public abstract class ArtifactHandlerAdapter
    extends Object

Base implementation of the ArtifactHandler interface.

Authors:
  Andres Almiray

Since:
  0.9.1

Field Summary
`private GriffonApplication` | `app`
`private ArtifactInfo[]` | `artifacts`
`private GriffonClass[]` | `classes`
`private Map` | `classesByName`
`private String` | `trailing`
`private String` | `type`

Constructor Summary
`ArtifactHandlerAdapter(GriffonApplication app, String type, String trailing)`

Method Summary
`GriffonClass` | `findClassFor(String propertyName)`
`GriffonApplication` | `getApp()`
`ArtifactInfo[]` | `getArtifacts()`
`GriffonClass` | `getClassFor(Class clazz)`
`GriffonClass` | `getClassFor(String fqnClassName)`
`GriffonClass[]` | `getClasses()`
`Map` | `getClassesByName()`
`String` | `getTrailing()`
`String` | `getType()`
`void` | `initialize(ArtifactInfo[] artifacts)`
`boolean` | `isArtifact(Class clazz)` Returns true if the target Class is a class artifact handled by this object.
`boolean` | `isArtifact(GriffonClass clazz)`
`protected GriffonClass` | `newGriffonClassInstance(Class clazz)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### app

    private final GriffonApplication app

### artifacts

    private ArtifactInfo[] artifacts

### classes

    private GriffonClass[] classes

### classesByName

    private Map classesByName

### trailing

    private final String trailing

### type

    private final String type

Constructor Detail

### ArtifactHandlerAdapter

    public ArtifactHandlerAdapter(GriffonApplication app, String type, String trailing)

Method Detail

### findClassFor

    public GriffonClass findClassFor(String propertyName)

### getApp

    public GriffonApplication getApp()

### getArtifacts

    public ArtifactInfo[] getArtifacts()

### getClassFor

    public GriffonClass getClassFor(Class clazz)

### getClassFor

    public GriffonClass getClassFor(String fqnClassName)

### getClasses

    public GriffonClass[] getClasses()

### getClassesByName

    public Map getClassesByName()

### getTrailing

    public String getTrailing()

### getType

    public String getType()

### initialize

    public void initialize(ArtifactInfo[] artifacts)

### isArtifact

    public boolean isArtifact(Class clazz)

  Returns true if the target Class is a class artifact handled by this object.

  This implementation performs an equality check on class.name

### isArtifact

    public boolean isArtifact(GriffonClass clazz)

### newGriffonClassInstance

    protected GriffonClass newGriffonClassInstance(Class clazz)

Groovy Documentation